[med-svn] r22307 - in trunk/packages/R/r-cran-shinybs/trunk/debian: . tests

Andreas Tille tille at moszumanska.debian.org
Fri Jul 1 13:54:29 UTC 2016


Author: tille
Date: 2016-07-01 13:54:28 +0000 (Fri, 01 Jul 2016)
New Revision: 22307

Added:
   trunk/packages/R/r-cran-shinybs/trunk/debian/tests/
   trunk/packages/R/r-cran-shinybs/trunk/debian/tests/run-unit-test
Modified:
   trunk/packages/R/r-cran-shinybs/trunk/debian/changelog
Log:
Verify whether it is possible to add an autopkgtest but failed, upload to new


Modified: trunk/packages/R/r-cran-shinybs/trunk/debian/changelog
===================================================================
--- trunk/packages/R/r-cran-shinybs/trunk/debian/changelog	2016-07-01 13:44:16 UTC (rev 22306)
+++ trunk/packages/R/r-cran-shinybs/trunk/debian/changelog	2016-07-01 13:54:28 UTC (rev 22307)
@@ -1,5 +1,5 @@
-r-cran-shinybs (0.61-1) UNRELEASED; urgency=low
+r-cran-shinybs (0.61-1) unstable; urgency=low
 
-  * Initial release (closes: #???)
+  * Initial release (closes: #829216)
 
- -- Andreas Tille <tille at debian.org>  Tue, 28 Jun 2016 17:09:05 +0200
+ -- Andreas Tille <tille at debian.org>  Fri, 01 Jul 2016 15:50:33 +0200

Added: trunk/packages/R/r-cran-shinybs/trunk/debian/tests/run-unit-test
===================================================================
--- trunk/packages/R/r-cran-shinybs/trunk/debian/tests/run-unit-test	                        (rev 0)
+++ trunk/packages/R/r-cran-shinybs/trunk/debian/tests/run-unit-test	2016-07-01 13:54:28 UTC (rev 22307)
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+
+cat <<EOT
+These tests result in something like
+   Listening on http://127.0.0.1:7613
+and can not be used as autopkgtest in this form.
+EOT
+exit
+
+oname=shinyBS
+pkg=r-cran-`echo $oname | tr '[A-Z]' '[a-z]'`
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+cd $ADTTMP
+cp -a /usr/lib/R/site-library/${oname}/tests/* $ADTTMP
+find . -name "*.gz" -exec gunzip \{\} \;
+for rfile in *.[rR] ; do
+  R CMD BATCH $rfile
+  echo "$rfile passed"
+done




More information about the debian-med-commit mailing list